class ExtractCoe:
    @staticmethod
    def extract_hex_coe_from_file(content: str) -> list:
        coefs: list = []
        start = content.find('CoefData =') + len('CoefData =')
        end = content[start:].find(';') + start
        coefs_raw = content[start:end]
        for s in coefs_raw.split('\n'):
            try:
                t = int(s, 16)
                coefs.append(t)
            except:
                pass
        return coefs

    @staticmethod
    def extract_coe_from_file(content: str) -> list:
        coefs: list = []
        start = content.find('CoefData =') + len('CoefData =')
        end = content[start:].find(';') + start
        coefs_raw = content[start:end]
        for s in coefs_raw.split('\n'):
            try:
                t = float(s)
                coefs.append(t)
            except:
                pass
        return coefs
